### Hierarchy

- Error
  - WidlError

## Index

### Constructors

- constructor

### Properties

- message
- name
- nodes
- path
- positions
- prepareStackTrace
- source
- stack
- stackTraceLimit

### Methods

- captureStackTrace

## Constructors

### constructor

- new WidlError(message: string, nodes: undefined | Node | Node[], source: undefined | Source, positions: undefined | number[], path: undefined | (string | number)[]): WidlError

- Overrides Error.constructor

  - Defined in src/error.ts:7

  #### Parameters

  - ##### message: string

  - ##### nodes: undefined | Node | Node[]

  - ##### source: undefined | Source

  - ##### positions: undefined | number[]

  - ##### path: undefined | (string | number)[]

  #### Returns WidlError

## Properties

### message

message: string

Inherited from Error.message

- Defined in node_modules/typescript/lib/lib.es5.d.ts:974

### name

name: string

Inherited from Error.name

- Defined in node_modules/typescript/lib/lib.es5.d.ts:973

### nodes

nodes: undefined | Node | Node[]

- Defined in src/error.ts:4

### path

path: undefined | (string | number)[]

- Defined in src/error.ts:7

### positions

positions: undefined | number[]

- Defined in src/error.ts:6

### Optional prepareStackTrace

prepareStackTrace: (err: Error, stackTraces: CallSite[]) => any

- Defined in node_modules/@types/node/globals.d.ts:11

Optional override for formatting stack traces

see

  https://v8.dev/docs/stack-trace-api#customizing-stack-traces

#### Type declaration

- - (err: Error, stackTraces: CallSite[]): any

  - #### Parameters

    - ##### err: Error

    - ##### stackTraces: CallSite[]

    #### Returns any

### source

source: undefined | Source

- Defined in src/error.ts:5

### Optional stack

stack: string

Inherited from Error.stack

- Defined in node_modules/typescript/lib/lib.es5.d.ts:975

### stackTraceLimit

stackTraceLimit: number

- Defined in node_modules/@types/node/globals.d.ts:13

## Methods

### captureStackTrace

- captureStackTrace(targetObject: object, constructorOpt?: Function): void

- - Defined in node_modules/@types/node/globals.d.ts:4

  Create .stack property on a target object

  #### Parameters

  - ##### targetObject: object

  - ##### Optional constructorOpt: Function

  #### Returns void

Generated using TypeDoc